import QtQuick 1.1
import com.nokia.meego 1.0
import QFrameView 1.0

/*
*  从QML获取横竖屏事件，传入app屏幕实际大小
*
*/
Page {
    id: mainpage
    anchors.fill: parent

//    //横竖屏事件
//    onOrientationChangeFinished: {
//        if (screen.currentOrientation == Screen.Landscape)
//        {
////            mainpage.width = screen.displayWidth
////            mainpage.height = screen.displayHeight
//            console.log("onOrientationChangeFinished(Landscape) " + screen.displayWidth + " x " + screen.displayHeight)
//            frameview.OrientationChanged(screen.displayWidth, screen.displayHeight)
////            frameview.OrientationChanged(mainpage.width, mainpage.height)
//        }
//        else
//        {
////            mainpage.width = screen.displayHeight
////            mainpage.height = screen.displayWidth
//            console.log("onOrientationChangeFinished(Potrait) " + screen.displayHeight + " x " + screen.displayWidth)
//            frameview.OrientationChanged(screen.displayHeight, screen.displayWidth)
////            frameview.OrientationChanged(mainpage.height, mainpage.width)
//        }
//    }

    //frameview类
    CQFrameView {
        id: frameview
        anchors.fill: parent
        objectName: "ProxyView"

        onCloseInputPanel: {
            globalInput.focus = false
            globalInput.closeSoftwareInputPanel()
        }

        onOpenInputPanel: {
            globalInput.openSoftwareInputPanel();
        }
    }

    function updateVisible() {
        if (platformWindow.visible) {
            frameview.updateAc(true);
        } else {
            frameview.updateAc(false);
        }
    }

    function updateActive() {

    }

    Connections {
        target: platformWindow

        onVisibleChanged: updateVisible()
        onActiveChanged: updateActive()
    }

    TextInput {
        id: globalInput
        anchors.centerIn: parent
        width: 0
        height: 0

        inputMethodHints: Qt.ImhDigitsOnly | Qt.ImhNoPredictiveText
    }

    Component.onCompleted: {
        if (screen.currentOrientation == Screen.Portrait)
        {
//            console.log("Portrait")
            frameview.IsProtraitOnComplete(true)
        }
        else
        {
//            console.log("Landscape")
            frameview.IsProtraitOnComplete(false)
        }
        updateVisible();
        updateActive();
    }
}
